# class Location

#### package js.html

Available on HTML5

The `Location` interface represents the location (URL) of the object it is linked to. Changes done on it are reflected on the object it relates to. Both the `Document` and `Window` interface have such a linked `Location`, accessible via `Document.location` and `Window.location` respectively.

Documentation Location by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Location

### Variables

###

`hash:String`

Is a `DOMString` containing a `'#'` followed by the fragment identifier of the URL.

###

`host:String`

Is a `DOMString` containing the host, that is the hostname, a `':'`, and the port of the URL.

###

`hostname:String`

Is a `DOMString` containing the domain of the URL.

###

`href:String`

Is a `DOMString` containing the entire URL. If changed, the associated document navigates to the new page. It can be set from a different origin than the associated document.

###

`read onlyorigin:String`

Returns a `DOMString` containing the canonical form of the origin of the specific location.

###

`pathname:String`

Is a `DOMString` containing an initial `'/'` followed by the path of the URL.

###

`port:String`

Is a `DOMString` containing the port number of the URL.

###

`protocol:String`

Is a `DOMString` containing the protocol scheme of the URL, including the final `':'`.

###

`search:String`

Is a `DOMString` containing a `'?'` followed by the parameters of the URL. Also known as "querystring".

### Methods

###

`assign (url:String):Void`

Throws:

`null` | DOMError

###

`reload (forceget:Bool = false):Void`

Throws:

`null` | DOMError

###

`replace (url:String):Void`

Throws:

`null` | DOMError